<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: PublisherIdField.php 4568 2006-04-04 12:40:13Z roh@m3.net $
*/

require_once MAX_PATH . '/lib/max/Dal/Reporting.php';
require_once MAX_PATH . '/lib/max/DateRange.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/ZoneScope.php';
require_once MAX_PATH . '/lib/max/Admin/Reporting/Field.php';

class PublisherIdField extends Field
{
    function display($fields, $key)
    {
        if (phpAds_isUser(phpAds_Publisher))
        {
            echo "<input type='hidden' name='".$key."' value='".phpAds_getUserID()."'>";
        }
        else
        {
            $this->_displayFieldHeader($fields[$key]['title']);
            $this->displayUnadornedField($key);
            $this->_displayFieldFooter();
        }
    }

    function displayUnadornedField($key)
    {
        $dal = new MAX_Dal_Reporting();

        echo "<select name='".$key."' tabindex='".($this->tabkeeper->tabindex++)."'>";

        $affiliateArray = $dal->phpAds_getPublisherArray();
        foreach (array_keys($affiliateArray) as $ckey) {
            echo "<option value='".$ckey."'>".$affiliateArray[$ckey]."</option>";
        }
        echo "</select>";
    }
}

?>
